# Generated by Django 5.2.3 on 2025-06-15 02:30

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Region',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('wiki_data_id', models.CharField(blank=True, max_length=255, null=True)),
                ('translations', models.JSONField(blank=True, default=dict)),
            ],
            options={
                'verbose_name': 'Region',
                'verbose_name_plural': 'Regions',
            },
        ),
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('iso3', models.CharField(max_length=3)),
                ('iso2', models.CharField(max_length=2)),
                ('numeric_code', models.CharField(max_length=3)),
                ('phonecode', models.CharField(max_length=10)),
                ('capital', models.CharField(max_length=255)),
                ('currency', models.CharField(max_length=255)),
                ('currency_name', models.CharField(max_length=255)),
                ('currency_symbol', models.CharField(max_length=255)),
                ('tld', models.CharField(max_length=255)),
                ('native', models.CharField(max_length=255)),
                ('nationality', models.CharField(max_length=255)),
                ('timezones', models.JSONField(default=list)),
                ('translations', models.JSONField(blank=True, default=dict)),
                ('region', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='countries', to='geodata.region')),
            ],
            options={
                'verbose_name': 'Country',
                'verbose_name_plural': 'Countries',
            },
        ),
        migrations.CreateModel(
            name='State',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('country_code', models.CharField(max_length=2)),
                ('country_name', models.CharField(max_length=255)),
                ('state_code', models.CharField(blank=True, max_length=255, null=True)),
                ('type', models.CharField(max_length=255)),
                ('latitude', models.FloatField()),
                ('longitude', models.FloatField()),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='states', to='geodata.country')),
            ],
            options={
                'verbose_name': 'State',
                'verbose_name_plural': 'States',
            },
        ),
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('state_code', models.CharField(blank=True, max_length=255, null=True)),
                ('state_name', models.CharField(max_length=255)),
                ('country_code', models.CharField(max_length=2)),
                ('country_name', models.CharField(max_length=255)),
                ('latitude', models.FloatField()),
                ('longitude', models.FloatField()),
                ('wiki_data_id', models.CharField(blank=True, max_length=255, null=True)),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='cities', to='geodata.country')),
                ('state', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='cities', to='geodata.state')),
            ],
            options={
                'verbose_name': 'City',
                'verbose_name_plural': 'Cities',
            },
        ),
        migrations.CreateModel(
            name='SubRegion',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('wiki_data_id', models.CharField(blank=True, max_length=255, null=True)),
                ('translations', models.JSONField(blank=True, default=dict)),
                ('region', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subregions', to='geodata.region')),
            ],
            options={
                'verbose_name': 'SubRegion',
                'verbose_name_plural': 'SubRegions',
            },
        ),
        migrations.AddField(
            model_name='country',
            name='subregion',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='countries', to='geodata.subregion'),
        ),
        migrations.AddIndex(
            model_name='state',
            index=models.Index(fields=['country'], name='geodata_sta_country_628d1d_idx'),
        ),
        migrations.AddIndex(
            model_name='state',
            index=models.Index(fields=['country_code'], name='geodata_sta_country_57a1f3_idx'),
        ),
        migrations.AddIndex(
            model_name='state',
            index=models.Index(fields=['state_code'], name='geodata_sta_state_c_48ab63_idx'),
        ),
        migrations.AddIndex(
            model_name='city',
            index=models.Index(fields=['state'], name='geodata_cit_state_i_0b3693_idx'),
        ),
        migrations.AddIndex(
            model_name='city',
            index=models.Index(fields=['country'], name='geodata_cit_country_33129b_idx'),
        ),
        migrations.AddIndex(
            model_name='city',
            index=models.Index(fields=['country_code'], name='geodata_cit_country_d522a0_idx'),
        ),
        migrations.AddIndex(
            model_name='city',
            index=models.Index(fields=['state_code'], name='geodata_cit_state_c_67c0e5_idx'),
        ),
        migrations.AddIndex(
            model_name='subregion',
            index=models.Index(fields=['region'], name='geodata_sub_region__e0ba3a_idx'),
        ),
        migrations.AddIndex(
            model_name='country',
            index=models.Index(fields=['region'], name='geodata_cou_region__e70b4e_idx'),
        ),
        migrations.AddIndex(
            model_name='country',
            index=models.Index(fields=['subregion'], name='geodata_cou_subregi_6a52fa_idx'),
        ),
        migrations.AddIndex(
            model_name='country',
            index=models.Index(fields=['iso2'], name='geodata_cou_iso2_36be5a_idx'),
        ),
        migrations.AddIndex(
            model_name='country',
            index=models.Index(fields=['iso3'], name='geodata_cou_iso3_f18b71_idx'),
        ),
    ]
